Bug 240654 - [NEW PORT] games/eureka: Map editor (WAD) for DOOM, Strife, Harmony, HACX, Heretic, Hexen
Summary: [NEW PORT] games/eureka: Map editor (WAD) for DOOM, Strife, Harmony, HACX, He...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-09-17 22:46 UTC by Kalten
Modified: 2020-12-01 13:18 UTC (History)
1 user (show)

See Also:


Attachments
games/eureka as a shell-archive [v1] (4.82 KB, text/plain)
2019-09-17 22:46 UTC, Kalten
no flags Details
games/eureka as a shell-archive [v2] (4.85 KB, text/plain)
2019-09-17 22:57 UTC, Kalten
no flags Details
games/eureka as a shell-archive [v2] (4.85 KB, text/plain)
2019-09-17 23:01 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2019-09-17 22:46:52 UTC
Created attachment 207589 [details]
games/eureka as a shell-archive [v1]

Greetings!

games/eureka this is a new port. It could replace games/yadex
(which can not be fetched anymore?).

Eureka DOOM Editor

Eureka is a map editor (based on yadex) for the classic DOOM games,
and a few related games such as Heretic and Hexen.

WWW: http://eureka-editor.sourceforge.net/

Regards!
 Kalten
Comment 1 Kalten 2019-09-17 22:57:55 UTC
Created attachment 207590 [details]
games/eureka as a shell-archive [v2]

Sorry: better description
Comment 2 Kalten 2019-09-17 23:01:07 UTC
Created attachment 207591 [details]
games/eureka as a shell-archive [v2]

forgot to make [v1] obsolete—sorry again.
Comment 3 Kalten 2019-09-17 23:12:00 UTC
Today, is not my day…

I have forgotten something else to tell you:
»portlint -AC« and poudriere 3.3.2_1 on a
FreeBSD 12.0-RELEASE-p10 GENERIC  amd64
seem to be OK with it.

Regards,
 Kalten
Comment 4 Alexey Dokuchaev freebsd_committer 2020-07-04 09:43:16 UTC
(In reply to Kalten from comment #0)
> games/eureka this is a new port. It could replace games/yadex (which cannot
> be fetched anymore?)
Yadex can be fetched just fine, but the more game editors the merrier.  I'll handle it (as I also maintain Yadex).
Comment 5 commit-hook freebsd_committer 2020-12-01 13:15:51 UTC
A commit references this bug:

Author: danfe
Date: Tue Dec  1 13:15:49 UTC 2020
New revision: 556730
URL: https://svnweb.freebsd.org/changeset/ports/556730

Log:
  Eureka is a map (WAD etc.) editor (based on Yadex) for the classic
  DOOM games, and a few related games such as Strife, Harmony, HACX,
  Heretic, and Hexen.

  PR:	240654

Changes:
  head/games/Makefile
  head/games/eureka/
  head/games/eureka/Makefile
  head/games/eureka/distinfo
  head/games/eureka/files/
  head/games/eureka/files/patch-Makefile
  head/games/eureka/files/patch-src_main.cc
  head/games/eureka/pkg-descr
  head/games/eureka/pkg-plist
Comment 6 Alexey Dokuchaev freebsd_committer 2020-12-01 13:18:33 UTC
Committed with some modifications as ports r556730 (particularly, I've added missing window icon display), thank you!